package io.gitlab.jfronny.modsmod;

import net.fabricmc.loader.util.FileSystemUtil;

import java.io.IOException;
import java.net.URL;
import java.nio.file.FileSystem;
import java.nio.file.Path;

public class ModMeta {
    public final FileSystem fs;
    public final URL url;

    public ModMeta(Path f) throws IOException {
        this.fs = FileSystemUtil.getJarFileSystem(f, false).get();
        this.url = f.toUri().toURL();
    }
}
